<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:template name="header">
		<HEAD>
			<STYLE TYPE="text/css">@import "style.css";</STYLE>
			<!--link rel="stylesheet" href="style.css" type="text/css"-->
		</HEAD>
	</xsl:template>


	<xsl:template name="body">
		<xsl:if test="./attribute">
			<H2>Attributes</H2>
			<UL>
				<xsl:apply-templates select="attribute" mode="index">
					<xsl:sort select="@name" data-type="text" order="ascending"/>
				</xsl:apply-templates>
			</UL>
		</xsl:if>
		<xsl:if test="./method">
			<H2>Methods</H2>
			<UL>
				<xsl:apply-templates select="method" mode="index">
					<xsl:sort select="@name" data-type="text" order="ascending"/>
				</xsl:apply-templates>
			</UL>
		</xsl:if>
		<HR/>
		<xsl:if test="./attribute">
			<H2>Attributes</H2>
			<DIV CLASS="attributes">
				<xsl:apply-templates select="attribute" mode="description">
					<xsl:sort select="@name" data-type="text" order="ascending"/>
				</xsl:apply-templates>
			</DIV>
		</xsl:if>
		<xsl:if test="./alias">
			<H2>Aliases</H2>
			<xsl:apply-templates select="alias">
				<xsl:sort select="@name" data-type="text" order="ascending"/>
			</xsl:apply-templates>
		</xsl:if>
		<xsl:if test="./method">
			<H2>Methods</H2>
			<xsl:apply-templates select="method">
				<xsl:sort select="@name" data-type="text" order="ascending"/>
			</xsl:apply-templates>
		</xsl:if>
		<DIV CLASS="footer">
			API documentation generated by <A HREF="http://www.germane-software.com/~ser/Software/api2xml">API2XML</A>
		</DIV>
	</xsl:template>


	<xsl:template match="attribute" mode="index">
		<LI><xsl:element name="A">
			<xsl:attribute name="HREF">#<xsl:value-of select="generate-id(.)"/></xsl:attribute>
			<xsl:value-of select="@name"/>
		</xsl:element></LI>
	</xsl:template>

	<xsl:template match="attribute"/>

	<xsl:template match="attribute" mode="description">
		<DIV STYLE="padding-bottom: 0.5em; padding-top: 0.5em;">
			<B><xsl:value-of select="@name"/></B> (<xsl:value-of select="@type"/>)
			<xsl:apply-templates/>
		</DIV>
	</xsl:template>


	<xsl:template match="method" mode="index">
		<LI><xsl:element name="A">
			<xsl:attribute name="HREF">#<xsl:value-of select="generate-id(.)"/></xsl:attribute>
			<xsl:value-of select="@name"/>
		</xsl:element></LI>
	</xsl:template>


	<xsl:template match="attribute">
		<xsl:element name="A">
			<xsl:attribute name="NAME"><xsl:value-of select="generate-id(.)"/></xsl:attribute>
			<B><xsl:value-of select="@name"/></B>
		</xsl:element>
		<xsl:apply-templates/>
	</xsl:template>


	<xsl:template match="include">
		<xsl:value-of select="@name"/>
	</xsl:template>
			

	<xsl:template match="method">
		<DIV CLASS="method">
			<xsl:element name="A">
				<xsl:attribute name="NAME"><xsl:value-of select="generate-id(.)"/></xsl:attribute>
				<H3><xsl:value-of select="@name"/></H3>
			</xsl:element>
		
			<xsl:if test="argument">
				<H4>Arguments</H4>
				<xsl:apply-templates select="argument"/>
			</xsl:if>
			<xsl:if test="return">
				<B style="padding-right: 1em;">Returns</B> <xsl:apply-templates select="return"/>
			</xsl:if>
			<HR/>
			<xsl:copy-of select="text()"/>
		</DIV>
	</xsl:template>
			

	<xsl:template match="argument">
		<DIV CLASS="argument">
			<DIV><I STYLE="padding-right: 1em;"><xsl:value-of select="@name"/></I> <xsl:if test="@default">&lt;<xsl:value-of select="@default"/>&gt;</xsl:if></DIV>
			<xsl:copy-of select="text()"/>
		</DIV>
	</xsl:template>


	<xsl:template match="return">
		<xsl:apply-templates/>
	</xsl:template>


	<xsl:template match="alias">
		<DIV CLASS="alias">
			<H3><xsl:value-of select="@alias"/></H3>
			is a synonym for
			<H3><xsl:value-of select="@orig"/></H3>
			<xsl:apply-templates/>
		</DIV>
	</xsl:template>
</xsl:stylesheet>
